Body
Trigger OTP
This API is used to trigger the OTP in order to finish the device binding flows
Request
Response
API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/initiateVerification
Production Link
POST
https://api.juspay.in/initiateVerification
Authorization Header
Basic Auth
*
required
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Note
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
x-merchantid
*
String
Mandatory
Merchant id to be passed here
Request Schema: application/json
Request body
tokenReference
*
String
Mandatory
Token reference in VISA’s backend
vProvisionedTokenId
*
String
Mandatory
Token id of the card being used in the transaction
clientReferenceId
*
String
Mandatory
Session identifier of VISA
stepUpRequestId
*
String
Mandatory
Identifier of the step up method
200 : Success
Response Body
errorMessage
status
String
Example:- SUCCESS
errorCode
response
Object
maxOTPVerificationAllowed
String
Maximum OTP that user can enter in the transaction
Example:- 3
maxOTPRequestsAllowed
String
Maximum OTP that can be triggered in the transaction
Example:- 3
codeExpiration
String
Time after which the OTP gets expired
Example:- 5

